=== debian/changelog ===
libdfu-ahp (1.0~git20221215.dd2df39-3) unstable; urgency=medium

  * debian/control: add dependency for lib to dev package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Jan 2023 19:03:02 +0100

libdfu-ahp (1.0~git20221215.dd2df39-2) unstable; urgency=medium

  * source upload
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: move to debian-astro team

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 13 Jan 2023 19:03:02 +0100

libdfu-ahp (1.0~git20221215.dd2df39-1) unstable; urgency=low

  * Initial Debian release

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 09 Jan 2023 21:03:02 +0100
