=== debian/control ===
Source: libdfu-ahp
Section: misc
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, libusb-1.0-0-dev,
	, cmake (>= 2.4.7)
Standards-Version: 4.6.2
Homepage: http://iliaplatone.com
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libdfu-ahp
Vcs-Git: https://salsa.debian.org/debian-astro-team/libdfu-ahp.git

Package: libdfu1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: DFU (Device Firmware Update) library
 This package contains a library, that can be used to program
 DFU (Device Firmware Update) capable devices.

Package: libdfu-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libdfu1 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: DFU (Device Firmware Update) library - devel files
 This package contains a library, that can be used to program
 DFU (Device Firmware Update) capable devices.
 .
 This package contains file for development.
