=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/ahp-electronics/libdfu \
  HEAD debian uupdate
